libqxp::QXP4Parser::ObjectHeader Struct Reference

`#include <QXP4Parser.h>`

## Public Member Functions

| ObjectHeader ()

## Public Attributes

boost::optional< Color > | fillColor
Color | color
unsigned | contentIndex
unsigned | linkId
unsigned | oleId
unsigned | gradientId
double | rotation
double | skew
bool | hflip
bool | vflip
ContentType | contentType
ShapeType | shapeType
BoxType | boxType
CornerType | cornerType

## Constructor & Destructor Documentation

## ObjectHeader()

libqxp::QXP4Parser::ObjectHeader::ObjectHeader | ( |  | ) |

inline

## Member Data Documentation

## boxType

BoxType libqxp::QXP4Parser::ObjectHeader::boxType

Referenced by ObjectHeader(), and libqxp::QXP4Parser::parseObjectHeader().

## color

Color libqxp::QXP4Parser::ObjectHeader::color

Referenced by ObjectHeader(), libqxp::QXP4Parser::parseBezierEmptyBox(), libqxp::QXP4Parser::parseBezierPictureBox(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP4Parser::parseEmptyBox(), libqxp::QXP4Parser::parseObjectHeader(), libqxp::QXP4Parser::parsePictureBox(), and libqxp::QXP4Parser::parseTextBox().

## contentIndex

unsigned libqxp::QXP4Parser::ObjectHeader::contentIndex

Referenced by ObjectHeader(), libqxp::QXP4Parser::parseBezierPictureBox(), libqxp::QXP4Parser::parseBezierText(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP4Parser::parseLineText(), libqxp::QXP4Parser::parseObjectHeader(), libqxp::QXP4Parser::parsePictureBox(), libqxp::QXP4Parser::parseTextBox(), and libqxp::QXP4Parser::skipTextObjectEnd().

## contentType

ContentType libqxp::QXP4Parser::ObjectHeader::contentType

Referenced by ObjectHeader(), and libqxp::QXP4Parser::parseObjectHeader().

## cornerType

CornerType libqxp::QXP4Parser::ObjectHeader::cornerType

Referenced by ObjectHeader(), and libqxp::QXP4Parser::parseObjectHeader().

## fillColor

boost::optional<Color> libqxp::QXP4Parser::ObjectHeader::fillColor

Referenced by ObjectHeader(), and libqxp::QXP4Parser::parseObjectHeader().

## gradientId

unsigned libqxp::QXP4Parser::ObjectHeader::gradientId

Referenced by ObjectHeader(), libqxp::QXP4Parser::parseBezierEmptyBox(), libqxp::QXP4Parser::parseBezierPictureBox(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP4Parser::parseEmptyBox(), libqxp::QXP4Parser::parseObjectHeader(), libqxp::QXP4Parser::parsePictureBox(), and libqxp::QXP4Parser::parseTextBox().

## hflip

bool libqxp::QXP4Parser::ObjectHeader::hflip

Referenced by ObjectHeader(), and libqxp::QXP4Parser::parseObjectHeader().

## linkId

unsigned libqxp::QXP4Parser::ObjectHeader::linkId

Referenced by ObjectHeader(), libqxp::QXP4Parser::parseBezierText(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP4Parser::parseLineText(), libqxp::QXP4Parser::parseObjectHeader(), and libqxp::QXP4Parser::parseTextBox().

## oleId

unsigned libqxp::QXP4Parser::ObjectHeader::oleId

Referenced by ObjectHeader(), libqxp::QXP4Parser::parseBezierPictureBox(), libqxp::QXP4Parser::parseObjectHeader(), and libqxp::QXP4Parser::parsePictureBox().

## rotation

double libqxp::QXP4Parser::ObjectHeader::rotation

Referenced by ObjectHeader(), and libqxp::QXP4Parser::parseObjectHeader().

## shapeType

ShapeType libqxp::QXP4Parser::ObjectHeader::shapeType

Referenced by ObjectHeader(), and libqxp::QXP4Parser::parseObjectHeader().

## skew

double libqxp::QXP4Parser::ObjectHeader::skew

Referenced by ObjectHeader(), and libqxp::QXP4Parser::parseObjectHeader().

## vflip

bool libqxp::QXP4Parser::ObjectHeader::vflip

Referenced by ObjectHeader(), and libqxp::QXP4Parser::parseObjectHeader().

The documentation for this struct was generated from the following file:

- QXP4Parser.h